

module met_data_module

   ! Derived types
   
   type met_data
      integer                       :: version
      integer                       :: nx
      integer                       :: ny
      integer                       :: iproj
      real                          :: xfcst
      real                          :: xlvl
      real                          :: startlat
      real                          :: startlon
      real                          :: starti
      real                          :: startj
      real                          :: deltalat
      real                          :: deltalon
      real                          :: dx
      real                          :: dy
      real                          :: xlonc
      real                          :: centerlat
      real                          :: centerlon
      real                          :: pole_lat
      real                          :: pole_lon
      real                          :: truelat1
      real                          :: truelat2
      real                          :: earth_radius
      real, pointer, dimension(:,:) :: slab
      logical                       :: is_wind_grid_rel
      character (len=9)             :: field
      character (len=24)            :: hdate
      character (len=25)            :: units
      character (len=32)            :: map_source
      character (len=46)            :: desc
   end type met_data

end module met_data_module
